# Copyright 2012, 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
from pyramid.httpexceptions import HTTPMovedPermanently
from pyramid.view import view_config


@view_config(
    route_name="search",
    renderer="charmworld:templates/search.pt")
def search(request):
    redirect_url = request.registry.settings.get('redirect_jujucharms')
    location = '{url}/q'.format(url=redirect_url)
    if not "search_text" in request.params:
        raise HTTPMovedPermanently(location=location)
    text = request.params["search_text"].strip()
    text = '/'.join(text.split())
    location = '{location}/{search}'.format(location=location,
                                            search=text)
    raise HTTPMovedPermanently(location=location)
